# Microsoft.Samples.DirectX.UtilityToolkit.IFrameworkCallback Interface Reference

Interface that the framework will use to call into samples. More...

Inherited by Sample.Sample, Sample.Sample, SampleSceneLoader.Loader, and SampleSceneLoader.Loader.

List of all members.

## Public Member Functions
void | OnFrameMove (Device device, double totalTime, float elapsedTime)
void | OnFrameRender (Device device, double totalTime, float elapsedTime)
void | OnFrameMove (Device device, double totalTime, float elapsedTime)
void | OnFrameRender (Device device, double totalTime, float elapsedTime)
void | OnFrameMove (Device device, double totalTime, float elapsedTime)
void | OnFrameRender (Device device, double totalTime, float elapsedTime)

## Detailed Description

Interface that the framework will use to call into samples.

Definition at line 19 of file dxmutdata.cs.

## Member Function Documentation

void Microsoft.Samples.DirectX.UtilityToolkit.IFrameworkCallback.OnFrameMove | ( | Device | device,
|  | double | totalTime,
|  | float | elapsedTime |
| ) |  |  |

void Microsoft.Samples.DirectX.UtilityToolkit.IFrameworkCallback.OnFrameMove | ( | Device | device,
|  | double | totalTime,
|  | float | elapsedTime |
| ) |  |  |

void Microsoft.Samples.DirectX.UtilityToolkit.IFrameworkCallback.OnFrameMove | ( | Device | device,
|  | double | totalTime,
|  | float | elapsedTime |
| ) |  |  |

void Microsoft.Samples.DirectX.UtilityToolkit.IFrameworkCallback.OnFrameRender | ( | Device | device,
|  | double | totalTime,
|  | float | elapsedTime |
| ) |  |  |

void Microsoft.Samples.DirectX.UtilityToolkit.IFrameworkCallback.OnFrameRender | ( | Device | device,
|  | double | totalTime,
|  | float | elapsedTime |
| ) |  |  |

void Microsoft.Samples.DirectX.UtilityToolkit.IFrameworkCallback.OnFrameRender | ( | Device | device,
|  | double | totalTime,
|  | float | elapsedTime |
| ) |  |  |

The documentation for this interface was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXCommon/dxmutdata.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/dxmutdata.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/wdxmutdata.cs